// java

package edu.washington.cac.myuw.servlet;

/** Interface that indicates an object will use a 
  <code>Log</code> that is passed in
  @author Greg Barnes
  @version 1.0
  @see Log
 */
public interface CanUseLog {
  /** set the <code>Log</code> to use 
    @param log The Log to use
   */
  public void setLog(Log log);
}
