package pubevents.updtevents;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import pubevents.AdminServlet;
import pubevents.PEDefaults;

/** Display an event that is going to be updated.
  
  @author Greg Barnes
  @version 3.0
 */
public class AdminDisplayEvents extends AdminServlet 
{
  /** Perform the action by displaying a form

    @param req The HttpServletRequest object
    @param resp The HttpServletResponse object
    @exception IOException If there's a problem reading or writing
   */
  public void performAction(HttpServletRequest req, HttpServletResponse resp)
      throws SQLException, IOException 
  {
    new EventFormDisplayer(req, resp, PEDefaults.ADMIN_UPDATE_FUNCTION, 
                           PEDefaults.BACK_TO_ADMIN_MENU, 
                           PEDefaults.UPDATE_EVENT_TITLE).displayFromDB();
  }
}
