// java

package edu.washington.cac.myuw.servlet.test;

import java.io.*;

import javax.servlet.*;

  /**
    Class to implement the ServletOutputSteam class using a PrintStream,
    for use in testing classes that use ServletOutputStreams.

    @author Greg Barnes
    @version 1.0
   */
public class TestServletOutputStream extends ServletOutputStream {
    private PrintStream ps;

      /** Create a new object that prints to a particular PrintStream
	*/
    public TestServletOutputStream(PrintStream ps) {
	this.ps = ps;
    }

    public void write(int b) throws IOException {
	ps.write(b);
    }
}
